$(function() {
  $.pageslide.closeCallback(function(pageslide, item) {
    $("tr").removeClass("active");
  });
  $.pageslide.loadComplete(function(pageslide, item) {
    $("tr").removeClass("active");
    item.closest('tr').addClass('active');
    if(item.data('id') == 'new') {
    	resetForm();
    	pageslide.find('form').attr('action', '/admin/module_apps/' + item.data('module') + '/categories/');
    	pageslide.find('form').attr('method', 'post');
    }
    else {
      setForm(item.data('form'));
      if( $( ".color-picker" ).length ) $(".color-picker").miniColors("value",item.data("form").color);
      pageslide.find('form').attr('action', '/admin/module_apps/' + item.data('module') + '/categories/' + item.data('id'));
    	pageslide.find('form').attr('method', 'put');
    }
  });
})